# Safe Function Call

Helper functions for safely and easily calling PHP functions that may not be available at runtime. Can be used generally in PHP projects or in WordPress as a plugin (for which it has the requisite layout).

This plugin is available in the WordPress Plugin Directory: https://wordpress.org/plugins/safe-function-call/


## Installation

Use as a general PHP helper:

1. Include the `safe-function-call.php` in your code.
2. Use any of the four functions provided by this script in your own code.

Use as a WordPress plugin:

1. Install via the built-in WordPress plugin installer. Or install the plugin code inside the plugins directory for your site (typically `/wp-content/plugins/`).
2. Activate the plugin through the 'Plugins' admin menu in WordPress
3. Use any of the four functions provided by this plugin as desired


## Additional Documentation

* See [readme.txt](https://github.com/coffee2code/safe-function-call/blob/master/readme.txt) for additional usage information.
* See [DEVELOPER-DOCS.md](DEVELOPER-DOCS.md) for developer-related documentation on provided hooks.
* See [CHANGELOG.md](CHANGELOG.md) for the list of changes for each release.


## Support

Commercial support and custom development are not presently available. You can raise an [issue](https://github.com/coffee2code/safe-function-call/issues) on GitHub or post in the [plugin's support forum on WordPress.org](https://wordpress.org/support/plugin/safe-function-call/).

If the plugin has been of benefit to you, how about [submitting a review](https://wordpress.org/support/plugin/safe-function-call/reviews/) for it in the WordPress Plugin Directory or considerating a [donation](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=6ARCFJ9TX3522)?


## License

This code is free software; you can redistribute it and/or modify it under the terms of the [GNU General Public License](https://www.gnu.org/licenses/gpl-2.0.html) as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.